Name:           linyaps
Version:        1.9.7
Release:        %autorelease
Summary:        Next-Gen Universal Package Manager for Linux
License:        LGPL-3.0-or-later
URL:            https://github.com/OpenAtom-Linyaps/linyaps
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(tl-expected)
BuildRequires:  cmake(yaml-cpp)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(CLI11)
BuildRequires:  cmake(GTest)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  qt6-qtbase-private-devel

BuildRequires: glibc-static
BuildRequires: libstdc++-static

#BuildRequires:  pkgconfig(glib-2.0)
#BuildRequires:  pkgconfig(ostree-1)
#BuildRequires:  pkgconfig(libsystemd)
#BuildRequires:  pkgconfig(libelf)
BuildRequires:  glib2-devel
BuildRequires:  ostree-devel
BuildRequires:  systemd-devel
BuildRequires:  elfutils-libelf-devel
BuildRequires:  openssl-devel

%description
Linyaps (Linyaps Is Not Yet Another Packaging System) is a cross-distribution Linux package format developed and open-sourced by the Linyaps community. It implements application packaging, management, and distribution through independent sandbox containers, aiming to replace traditional package managers like deb and rpm. Linyaps ensures Linux software runs with better compatibility, security, and efficiency.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check


%files
%license LICENSES/*
%doc README.md
%{_sysconfdir}/X11/Xsession.d/21linglong
%{_sysconfdir}/profile.d/linglong.sh
%{_bindir}/ll-builder
%{_bindir}/ll-cli
%{_bindir}/llpkg
%{_prefix}/lib/linglong/
%{_systemd_util_dir}/system-environment-generators/61-linglong
%{_systemd_util_dir}/system-preset/91-linglong.preset
%{_systemd_util_dir}/system/org.deepin.linglong.PackageManager.service
%{_systemd_util_dir}/user-generators/linglong-user-systemd-generator
%{_systemd_util_dir}/user/linglong-session-helper.service
%{_sysusersdir}/linglong.conf
%{_tmpfilesdir}/linglong.conf
%{_libdir}/cmake/linglong-1.9.0/
%{_libexecdir}/linglong/
%{_datadir}/applications/linyaps.desktop
%{_datadir}/bash-completion/completions/ll-builder
%{_datadir}/bash-completion/completions/ll-cli
%{_datadir}/dbus-1/system-services/org.deepin.linglong.PackageManager1.service
%{_datadir}/dbus-1/system.d/org.deepin.linglong.PackageManager1.conf
%{_datadir}/linglong/
%{_datadir}/mime/packages/vnd.linyaps.uab.xml
%{_datadir}/polkit-1/actions/org.deepin.linglong.PackageManager1.policy
%{_datadir}/zsh/vendor-completions/_ll-cli

%changelog
%autochangelog
